Bug 1039315 - Review Request: nuvolaplayer - Cloud Music Integration for your Linux Desktop
Summary: Review Request: nuvolaplayer - Cloud Music Integration for your Linux Desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-07 23:13 UTC by MartinKG
Modified: 2014-11-01 17:14 UTC (History)
10 users (show)

Fixed In Version: nuvolaplayer-2.4.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 19:16:57 UTC
Type: Bug
i: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
spec file diff to fix owned directory and and python version (1.09 KB, patch)
2013-12-08 00:11 UTC, leigh scott
no flags Details | Diff
more fixes (2.24 KB, patch)
2013-12-08 00:42 UTC, leigh scott
no flags Details | Diff
F20 mock build log for -7 (1.40 KB, text/plain)
2013-12-17 02:15 UTC, Michel Alexandre Salim
no flags Details
F20 mock build log without tests (172.20 KB, text/plain)
2013-12-23 10:54 UTC, MartinKG
no flags Details
valgrind.log -- Tracing the reason for failing testsuite in mock (55.15 KB, text/x-log)
2013-12-23 13:37 UTC, Björn 'besser82' Esser
no flags Details
F21 mock build log (25.31 KB, text/x-log)
2014-03-23 11:49 UTC, MartinKG
no flags Details
fc21 nuvolaplayer mock build-log (196.15 KB, text/x-log)
2014-04-15 16:51 UTC, MartinKG
no flags Details

Description MartinKG 2013-12-07 23:13:55 UTC
Descripition : Nuvola Player runs web interface of cloud music service in its own window and provides integration with a Linux Desktop(system tray, Ubuntu sound menu, dock menu and notifications).Currently supported services are Google Music, Grooveshark, Hype Machine and 8tracks.

Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.2.0-2.fc19.src.rpm

rpmlint output:

rpmlint nuvolaplayer-2.2.0-2.fc19.x86_64.rpm
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: dangling-relative-symlink /usr/bin/nuvolaplayer ../lib/nuvolaplayer/nuvolaplayer.tsocks
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
nuvolaplayer.x86_64: W: desktopfile-without-binary /usr/share/applications/nuvolaplayer.desktop nuvolaplayer
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

rpmlint nuvolaplayer-debuginfo-2.2.0-2.fc19.x86_64.rpm
nuvolaplayer-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

rpmlint nuvolaplayer-2.2.0-2.fc19.src.rpm
nuvolaplayer.src: W: spelling-error %description -l en_US Nuvola -> Nolan
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 leigh scott 2013-12-08 00:11:48 UTC
Created attachment 833993 [details]
spec file diff to fix owned directory and and python version

Fixes


[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gnome-control-center
     (control-center-filesystem)

Comment 2 leigh scott 2013-12-08 00:42:59 UTC
Created attachment 834005 [details]
more fixes

I have fixed the broken symlink

http://leigh123linux.fedorapeople.org/pub/SPECS/nuvolaplayer.spec

I have also excluded %{_libdir}/libnuvolaplayerprivate.so as the name implies it's private, the app seems to function without it.

Comment 3 MartinKG 2013-12-08 17:19:36 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.2.0-4.fc19.src.rpm

%changelog
* Sun Dec 08 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-4
- add libnuvolaplayerprivate.so to file section
- remove java-1.7.0-openjdk Requirement, not needed

rpmlint output:
rpmlint nuvolaplayer-2.2.0-4.fc19.x86_64.rpm 
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 4 MartinKG 2013-12-09 14:05:10 UTC
The package has been tested on the dependence of java-1.7.0-openjdk, it is
not necessary for the functionality.

http://forums.fedoraforum.org/showpost.php?p=1679298&postcount=14
http://forums.fedoraforum.org/showpost.php?p=1679315&postcount=15

start message with java openjdk installed

[martin@fc20 SPECS]$ nuvolaplayer:

    Nuvola  Warning nuvola-formatsupport.vala:161: Unable to change GStreamer 1.2.1 pipeline status (async)
java version "1.7.0_45"
OpenJDK Runtime Environment (fedora-2.4.3.0.fc20-x86_64 u45-b15)
OpenJDK 64-Bit Server VM (build 24.45-b08, mixed mode)
    Nuvola  Warning jsapi.vala:275: Called default Nuvola.onMessageReceived() function for command : pause

start message without java openjdk installed:

[martin@fc20 SPECS]$ nuvolaplayer
/builddir/build/BUILD/icedtea-web-1.4.1/plugin/icedteanp/IcedTeaNPPlugin.cc:1363: thread 0x2658200: Error: Failed to spawn applet viewer: Kindprozess »/usr/lib/jvm/jre-openjdk/bin/java« konnte nicht ausgeführt werden (Datei oder Verzeichnis nicht gefunden)
Unable to find java executable /usr/lib/jvm/jre-openjdk/bin/java
    Nuvola  Warning nuvola-formatsupport.vala:161: Unable to change GStreamer 1.2.1 pipeline status (async)
    Nuvola  Warning servicesmanager.vala:98: Unable to load service from /home/martin/.local/share/nuvolaplayer/services/amazon: /home/martin/.local/share/nuvolaplayer/services/amazon is not a directory

Comment 5 MartinKG 2013-12-10 14:17:02 UTC
(In reply to MartinKG from comment #4)
> The package has been tested on the dependence of java-1.7.0-openjdk, it is
> not necessary for the functionality.

attached is the answer from the developer
https://answers.launchpad.net/nuvola-player/+question/240558

Nuvola Player itself doesn't require Java. The error message is produced probably because the WebKitGtk library loads all available Mozilla/Netscape browser plugins and some of them might need Java, but this should not affect Nuvola Player's functionality.

Comment 6 MartinKG 2013-12-11 13:19:29 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.2.0-5.fc19.src.rpm

%changelog
* Wed Dec 11 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-5
- cleanup build requires

Comment 7 Christopher Meng 2013-12-14 08:54:32 UTC
1. Why not BuildRequires:  vala-devel but BuildRequires:  vala-compat-devel?

2. I'm sure this spec is copied from elsewhere(you know):

Provides:       google-music-frame = %{version}
Obsoletes:      google-music-frame < 1.0.1

We never have this package before, and we don't need to provide that.

3. Why  --skip-tests?

4. Sort out 1 style: $RPM_BUILD_ROOT%{_datadir}, no $RPM_BUILD_ROOT/%{_datadir}

$RPM_BUILD_ROOT%{_bindir}, no $RPM_BUILD_ROOT/%{_bindir}

5. %description:

Nuvola Player runs web interface of cloud music service in its own window and
provides integration with a Linux Desktop(system tray, Ubuntu sound menu, dock
menu and notifications).Currently supported services are Google Music,
Grooveshark, Hype Machine and 8tracks.

Well, Ubuntu what? Please improve it.

6. Sources tarball contains 2 dirs: external/ and licenses/ , please double check them.

Comment 8 Mario Blättermann 2013-12-15 10:04:09 UTC
(In reply to Christopher Meng from comment #7)
> 1. Why not BuildRequires:  vala-devel but BuildRequires:  vala-compat-devel?
It doesn't build with vala v0.22, it needs v0.18 from vala-compat-devel.

Comment 9 MartinKG 2013-12-15 12:35:11 UTC
(In reply to Christopher Meng from comment #7)
> 3. Why  --skip-tests?
because it fails, the message is:
/home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main: FAILED 
TEST: /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main... (pid=9635)
FAIL: /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main


(/home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main:9635): Gtk-WARNING **: cannot open display: 

Glib tests summary 
  tests that pass 0/1 
  tests that fail 1/1 
    /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main 
Some unit tests failed.

Comment 10 Björn 'besser82' Esser 2013-12-15 12:42:58 UTC
(In reply to MartinKG from comment #9)
> (In reply to Christopher Meng from comment #7)
> > 3. Why  --skip-tests?
> because it fails, the message is:
> /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main: FAILED 
> TEST: /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main...
> (pid=9635)
> FAIL: /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main
> 
> 
> (/home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main:9635):
> Gtk-WARNING **: cannot open display: 
> 
> Glib tests summary 
>   tests that pass 0/1 
>   tests that fail 1/1 
>     /home/martin/rpmbuild/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main 
> Some unit tests failed.

You should add:  BuildRequires: xorg-x11-server-Xvfb
and prefix the build command with: xfvb-run -a

The the testsuite should run fine...

Comment 11 MartinKG 2013-12-15 13:16:56 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.2.0-6.fc19.src.rpm

%changelog
* Sun Dec 15 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-6
- change %%description
- remove google-music-frame because it's not provided.
- correct %%RPM_BUILD_ROOT path
- add Xvfb to build requirement
- remove skip-tests build option
- add build option xvfb-run -a to build option

Comment 12 MartinKG 2013-12-15 13:19:38 UTC
(In reply to Christopher Meng from comment #7)
> 6. Sources tarball contains 2 dirs: external/ and licenses/ , please double
> check them.

do you mean the different license types ?, how can i handle this ?

Comment 13 MartinKG 2013-12-15 18:52:12 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.2.0-7.fc19.src.rpm

%changelog
* Sun Dec 15 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-7
- add missing license type

Comment 14 Michel Alexandre Salim 2013-12-17 02:05:14 UTC
I suppose the tests are actually run at %install, not %build, because the tests still fail when building under mock with -7:

FAIL: /builddir/build/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not 
be saved or shared with other applications.
Glib tests summary 
  tests that pass 0/1 
  tests that fail 1/1 
    /builddir/build/BUILD/nuvolaplayer-2.2.0/build/tests/bin/main 
Some unit tests failed.
error: Bad exit status from /var/tmp/rpm-tmp.TYEEbY (%build)

Comment 15 Michel Alexandre Salim 2013-12-17 02:15:09 UTC
Created attachment 837513 [details]
F20 mock build log for -7

On closer look, the tests are being run as part of waf build. Not sure why xvfb-run is not working, but it might be a good idea to check with mock before updating the spec.

One option is to make unit tests switchable at build time with bcond -- http://www.rpm.org/wiki/PackagerDocs/ConditionalBuilds -- and skip the tests if it requires too much hacking to get the tests to run inside mock and Koji. That's probably a last resort though - it doesn't reflect well on the code quality of the build scripts if that's necessary just to get a build.

Comment 16 Björn 'besser82' Esser 2013-12-17 19:18:58 UTC
Taking this for review.  ;)

Comment 17 MartinKG 2013-12-18 10:59:32 UTC
Hi Björn you are welcome

i added bcond to make unit tests switchable.
the spec file is available on http://martinkg.fedorapeople.org/Review/test/nuvolaplayer.spec

the package builds without the 'unit test' with the following option: 
rpmbuild -ba nuvolaplayer.spec --without tests

is this ok ?

Comment 18 MartinKG 2013-12-23 10:54:13 UTC
Created attachment 840748 [details]
F20 mock build log without tests

mock builds with the following command:
mock --without=tests rebuild  nuvolaplayer-2.2.0-8.fc20.src.rpm
used this spec file: http://martinkg.fedorapeople.org/Review/test/nuvolaplayer.spec

Comment 19 Björn 'besser82' Esser 2013-12-23 13:37:35 UTC
Created attachment 840798 [details]
valgrind.log -- Tracing the reason for failing testsuite in mock

Running `xvfb-run -a valgrind --track-origins=yes --log valgrind.log ./main` in build/test/bin reveals some nasty problems with upstream's testsuite.  It actually allocates some stack-objects from external gtk-libs and relies on them, but doesn't make sure that they are properly initialized.

I strongly advise you to report that with upstream, instead of simply skipping the testsuite.  It should be fixed.

Comment 20 MartinKG 2013-12-23 14:30:22 UTC
bureport with summary: "testsuite segfaults because of unintialized values"
posted upstream https://bugs.launchpad.net/nuvola-player/+bug/1263705

Comment 21 Christopher Meng 2013-12-31 06:53:36 UTC
2.3.0 has come out.

Comment 22 MartinKG 2013-12-31 09:56:30 UTC
(In reply to Christopher Meng from comment #21)
> 2.3.0 has come out.

yes I know that a new version has been released, but the problem (comment #21) persists.

Comment 23 MartinKG 2014-01-21 19:35:17 UTC
last information of the developer of nuvola-player
https://bugs.launchpad.net/nuvola-player/+bug/1263705/comments/6

I've made a few improvements. Currently, I cannot reproduce crash in function chain nuvola_frame_bridge_execute_script -> JSEvaluateScript -> JSC::evaluate -> ... -> WTFCrash. However, the test suite crashes when JavaScriptCore runs garbage collector:

==12430== Process terminating with default action of signal 11 (SIGSEGV)
==12430== Access not within mapped region at address 0x0
==12430== at 0x92077B7: JSC::CodeBlock::~CodeBlock() (SentinelLinkedList.h:60)
==12430== by 0x920D203: JSC::FunctionCodeBlock::~FunctionCodeBlock() (CodeBlock.h:1300)
==12430== by 0x9378142: JSC::FunctionExecutable::discardCode() (OwnPtrCommon.h:54)
==12430== by 0x9392D1C: JSC::JSGlobalData::recompileAllJSFunctions() (JSGlobalData.cpp:86)
==12430== by 0x92A2C6C: JSC::Heap::collectAllGarbage() (Heap.cpp:771)
==12430== by 0x70FC9B1: WebCore::ThreadTimers::sharedTimerFiredInternal() (ThreadTimers.cpp:115)
==12430== by 0x7942151: WebCore::timeout_cb(void*) (SharedTimerGtk.cpp:49)
==12430== by 0x5558EEA: g_timeout_dispatch (gmain.c:3882)
==12430== by 0x5558354: g_main_context_dispatch (gmain.c:2539)
==12430== by 0x5558687: g_main_context_iterate.isra.23 (gmain.c:3146)
==12430== by 0x5558A81: g_main_loop_run (gmain.c:3340)
==12430== by 0x53085B8: fso_framework_test_wait_for_condition (asynchelpers.vala:97)

I will need to get touch with WebKitGtk/JavaScriptCore developers to help me to find out a cause of this crash and fix the issue.

Comment 24 MartinKG 2014-02-13 09:27:12 UTC
New Informations from the developer of nuvola player
https://bugs.launchpad.net/nuvola-player/+bug/1263705/comments/11

...
Anyway, the crashes seems to occur inside webkitgtk and javascriptcore libraries and I'm closing this bug for that reason. I'm might be useful to ask upstream why the library crashes under valgrind though.

Fix committed to lp:nuvola-player as r805. Will be released in Nuvola Player 2.3.1.
<http://bazaar.launchpad.net/~fenryxo/nuvola-player/trunk/revision/805>

@Björn
is there a change to test it with revision 805 ?

Comment 25 MartinKG 2014-02-13 13:09:15 UTC
hi guys,

please could you test the version 2.3.0, i've only test this version on 
vmware. I know it's not revision 805.

Spec URL: https://dl.dropboxusercontent.com/s/ua1hj7yv1mll9j3/nuvolaplayer.spec

SRPM URL: https://dl.dropboxusercontent.com/s/37k8hf2zubamjna/nuvolaplayer-2.3.0-1.fc20.src.rpm

Comment 26 MartinKG 2014-03-21 19:02:17 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.1-1.fc20.src.rpm

%changelog
* Fri Mar 21 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1
- removed requirement vala-compat-devel

unit test:

Waf: Leaving directory `/data/rpmbuild/BUILD/nuvolaplayer-2.3.1/build'

/data/rpmbuild/BUILD/nuvolaplayer-2.3.1/build/tests/bin/main: OK 
TEST: /data/rpmbuild/BUILD/nuvolaplayer-2.3.1/build/tests/bin/main... (pid=9873)
  /ServicesManagerTest/load_service_from_dir:                          OK
  /ServicesManagerTest/list_services_user:                             OK
  /ServicesManagerTest/list_services_system:                           OK
  /ServicesManagerTest/list_services_versioned:                        OK
  /ServicesManagerTest/install_service:                                OK
  /ServicesManagerTest/remove_service:                                 OK
  /CachedLyricsTest/store:                                             OK
  /CachedLyricsTest/read:                                              OK
  /AZLyricsTest/transform_name:                                        OK
  /Diorite.SimpleDocBufferTest/parse_errors:                           OK
  /Diorite.SimpleDocBufferTest/parse_basic:                            OK
  /Diorite.SimpleDocBufferTest/close_tag_from_stack:                   OK
PASS: /data/rpmbuild/BUILD/nuvolaplayer-2.3.1/build/tests/bin/main


Glib tests summary 
  tests that pass 1/1 
    /data/rpmbuild/BUILD/nuvolaplayer-2.3.1/build/tests/bin/main 
  tests that fail 0/1 
'build' finished successfully (11.780s)

unit test now passed !
can somebody make a review ?

Comment 27 MartinKG 2014-03-22 10:23:59 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.1-2.fc20.src.rpm

%changelog
* Sat Mar 22 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.1-2
- added vala-devel requirement

Comment 29 MartinKG 2014-03-23 11:49:28 UTC
Created attachment 877775 [details]
F21 mock build log

mock build fails on fc21

Comment 30 MartinKG 2014-03-23 14:14:15 UTC
(In reply to MartinKG from comment #29)
> Created attachment 877775 [details]
> F21 mock build log
> 
> mock build fails on fc21

bug already reported upstream:
https://bugs.launchpad.net/nuvola-player/+bug/1296261

Comment 31 MartinKG 2014-03-26 17:43:41 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.2-1.fc20.src.rpm

%changelog
* Wed Mar 26 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2

I have updated the package to 2.3.2, but still the same behaviour with fc21 as before.

Comment 32 MartinKG 2014-04-15 16:11:26 UTC
Spec URL:
http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL:
http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.2-2.fc20.src.rpm

%changelog
* Tue Apr 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.2-2
- added  patch to build with valac 0.24
- changed to waf-1.7.16

Comment 33 MartinKG 2014-04-15 16:51:44 UTC
Created attachment 886554 [details]
fc21 nuvolaplayer mock build-log

@björn
nuvolaplayer builds now on rawhide.

Comment 34 MartinKG 2014-05-04 17:48:25 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.3-1.fc20.src.rpm

%changelog
* Tue May 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-1
- Update to 2.3.3

Comment 35 Rahul Sundaram 2014-05-28 21:29:45 UTC
This is not a full fledged review but a quick look:


Checking: nuvolaplayer-2.3.3-1.fc20.x86_64.rpm
          nuvolaplayer-2.3.3-1.fc20.src.rpm
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
nuvolaplayer.x86_64: W: desktopfile-without-binary /usr/share/applications/nuvolaplayer.desktop nuvolaplayer
nuvolaplayer.src: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.src: E: specfile-error warning: bogus date in %changelog: Tue May 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-1
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

--

Why is BuildRequires:  bzr needed?

I would also suggest using %{buildroot} for consistency



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "LGPL (v3 or later)", "LGPL (v2.1 or later)", "Unknown
     or generated". 101 files have unknown license. Detailed output of
     licensecheck in /home/rahul/1039315-nuvolaplayer/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[-]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nuvolaplayer
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ -]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[-]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nuvolaplayer-2.3.3-1.fc20.x86_64.rpm
          nuvolaplayer-2.3.3-1.fc20.src.rpm
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
nuvolaplayer.x86_64: W: desktopfile-without-binary /usr/share/applications/nuvolaplayer.desktop nuvolaplayer
nuvolaplayer.src: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.src: E: specfile-error warning: bogus date in %changelog: Tue May 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-1
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nuvolaplayer
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nuvolaplayer (rpmlib, GLIBC filtered):
    /bin/sh
    control-center-filesystem
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjavascriptcoregtk-3.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libnuvolaplayerprivate.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libwebkitgtk-3.0.so.0()(64bit)
    rtld(GNU_HASH)
    tsocks



Provides
--------
nuvolaplayer:
    libnuvolaplayerprivate.so()(64bit)
    nuvolaplayer
    nuvolaplayer(x86-64)



Unversioned so-files
--------------------
nuvolaplayer: /usr/lib64/libnuvolaplayerprivate.so
nuvolaplayer: /usr/lib64/nuvolaplayer/libnuvolaplayerprivate.so

Source checksums
----------------
https://launchpad.net/nuvola-player/2.3.x/2.3.3/+download/nuvolaplayer-2.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : 1a65eaeb24227ff84b2da5f05e44efcfad4c2a3a4504fbc359c688113054f8ad
  CHECKSUM(SHA256) upstream package : 1a65eaeb24227ff84b2da5f05e44efcfad4c2a3a4504fbc359c688113054f8ad


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1039315
Buildroot used: fedora-20-x86_64

Comment 36 Michael Schwendt 2014-05-29 06:48:17 UTC
> Issues:
> =======
> - Development (unversioned) .so files in -devel subpackage, if present.
>   Note: Unversioned so-files directly in %_libdir.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

> Unversioned so-files
> --------------------
> nuvolaplayer: /usr/lib64/libnuvolaplayerprivate.so
> nuvolaplayer: /usr/lib64/nuvolaplayer/libnuvolaplayerprivate.so

Careful reviewing needed here. The DevelPackages guidelines try to cover this in the bottom half of that section.

Is this library needed at runtime as some sort of plugin library? If so, it must _not_ be stored in a -devel subpackage.

Also note that the lib is found in two paths: in runtime linker's search path, %_libdir, and in a private subdir that is not within runtime linker's search path, %_libdir/nuvolaplayer. Why is that? Are the files linked or copies of eachother?

> Requires
> --------
> nuvolaplayer (rpmlib, GLIBC filtered):
> …
>     libnuvolaplayerprivate.so()(64bit)
> …

Comment 37 MartinKG 2014-05-29 09:10:55 UTC
(In reply to Michael Schwendt from comment #36)
> > Issues:
> > =======
> > - Development (unversioned) .so files in -devel subpackage, if present.
> >   Note: Unversioned so-files directly in %_libdir.
> >   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
> 
> > Unversioned so-files
> > --------------------
> > nuvolaplayer: /usr/lib64/libnuvolaplayerprivate.so
> > nuvolaplayer: /usr/lib64/nuvolaplayer/libnuvolaplayerprivate.so
> 
> Careful reviewing needed here. The DevelPackages guidelines try to cover
> this in the bottom half of that section.
> 
> Is this library needed at runtime as some sort of plugin library? If so, it
> must _not_ be stored in a -devel subpackage.
> 
> Also note that the lib is found in two paths: in runtime linker's search
> path, %_libdir, and in a private subdir that is not within runtime linker's
> search path, %_libdir/nuvolaplayer. Why is that? Are the files linked or
> copies of eachother?
> 
> > Requires
> > --------
> > nuvolaplayer (rpmlib, GLIBC filtered):
> > …
> >     libnuvolaplayerprivate.so()(64bit)
> > …

when i exclude the second libnuvolaplayerprivate.so in rpm spec file
%exclude %{_libdir}/%{name}/libnuvolaplayerprivate.so
an want to install the package i get this error message:

rpm -ivh nuvolaplayer-2.3.3-2.fc20.x86_64.rpm
error: Failed dependencies:
	libnuvolaplayerprivate.so()(64bit) is needed by nuvolaplayer-2.3.3-2.fc20.x86_64

Comment 38 MartinKG 2014-05-29 10:12:11 UTC
I asked upstream, here is the answer:
https://answers.launchpad.net/nuvola-player/+question/249469

Jiří Janoušek (fenryxo)

%libdir%/libnuvolaplayerprivate.so is installed as a symlink to %libdir%/nuvolaplayer/libnuvolaplayerprivate.so unless build proccess has been modified somehow. The libnuvolaplayerprivate.so is a private runtime library required by the nuvolaplayer binary. Right now, I'm not sure whtether the library has to be directly in %libdir to be found by the nuvolaplayer binary or %libdir/nuvolaplayer is enough. However, it is not considered to be used as a development library for third party plugins, hence the suffix "private".

Comment 39 Michael Schwendt 2014-05-29 12:54:01 UTC
Well, %excluding a file that is a symlink target makes no sense, because that breaks the symlink. ;)  "rpmls nuvolaplayer" would be one convenient command to examine the file types in the package.


> The libnuvolaplayerprivate.so is a private runtime library required
> by the nuvolaplayer binary.

https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

Comment 40 MartinKG 2014-05-29 14:24:29 UTC
(In reply to Michael Schwendt from comment #39)
> Well, %excluding a file that is a symlink target makes no sense, because
> that breaks the symlink. ;)  "rpmls nuvolaplayer" would be one convenient
> command to examine the file types in the package.
> 
ok, rpmls show it:

# rpmls nuvolaplayer
lrwxrwxrwx  /usr/bin/nuvolaplayer
-rwxr-xr-x  /usr/bin/nuvolaplayer-client
lrwxrwxrwx  /usr/lib64/libnuvolaplayerprivate.so
drwxr-xr-x  /usr/lib64/nuvolaplayer
-rwxr-xr-x  /usr/lib64/nuvolaplayer/libnuvolaplayerprivate.so

> > The libnuvolaplayerprivate.so is a private runtime library required
> > by the nuvolaplayer binary.
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

I added ldconfig script to the post ans postun section.

Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.3.3-2.fc20.src.rpm

%changelog
* Thu May 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-2
- replaced %%RPM_BUILD_ROOT by %%{buildroot}
- delete BR bzr
- added /sbin/ldconfig calls in %%post and %%postun

Comment 41 MartinKG 2014-06-01 17:06:40 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.0-1.fc20.src.rpm

%changelog
%changelog
* Sun Jun 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

Comment 42 MartinKG 2014-06-05 12:42:06 UTC
@björn
Do you mind if assign the review somebody else.

Comment 43 Michel Alexandre Salim 2014-06-07 03:37:20 UTC
Failed to build in Mock for Fedora 20:

Waf: Leaving directory `/builddir/build/BUILD/nuvolaplayer-2.4.0/build'
/builddir/build/BUILD/nuvolaplayer-2.4.0/build/tests/bin/main: FAILED 
TEST: /builddir/build/BUILD/nuvolaplayer-2.4.0/build/tests/bin/main... (pid=17837)
  /ServicesManagerTest/load_service_from_dir:                          OK
  /ServicesManagerTest/list_services_user:                             OK
  /ServicesManagerTest/list_services_system:                           OK
  /ServicesManagerTest/list_services_versioned:                        OK
  /ServicesManagerTest/install_service:                                OK
  /ServicesManagerTest/remove_service:                                 OK
  /CachedLyricsTest/store:                                             OK
  /CachedLyricsTest/read:                                              OK
  /AZLyricsTest/transform_name:                                        OK
  /Diorite.SimpleDocBufferTest/parse_errors:                           OK
  /Diorite.SimpleDocBufferTest/parse_basic:                            OK
  /Diorite.SimpleDocBufferTest/close_tag_from_stack:                   OK
  /JSApiTest/keys_exist:                                               FAIL
GTester: last random seed: R02Sa9ede5b07ca3bfc9ec504325a9b6e882
(pid=18012)
  /JSApiTest/version_info:                                             FAIL
GTester: last random seed: R02S34012b0477c87da1e2365a99708f1258
(pid=18197)
  /JSApiTest/inject_to_frame:                                          FAIL
GTester: last random seed: R02Scbb24c1e538d75a78a5a202c0d21c3e3
(pid=18287)
FAIL: /builddir/build/BUILD/nuvolaplayer-2.4.0/build/tests/bin/main
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
Glib tests summary 
  tests that pass 0/1 
  tests that fail 1/1 
    /builddir/build/BUILD/nuvolaplayer-2.4.0/build/tests/bin/main 
Some unit tests failed.
error: Bad exit status from /var/tmp/rpm-tmp.jOo7kJ (%build)
    Bad exit status from /var/tmp/rpm-tmp.jOo7kJ (%build)
RPM build errors:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps  builddir/build/SPECS/nuvolaplayer.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 376, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps  builddir/build/SPECS/nuvolaplayer.spec']
LEAVE do --> EXCEPTION RAISED

Comment 44 MartinKG 2014-06-07 07:29:19 UTC
there must be something changed when changing from version 2.3.3 to 2.4.0.
I'll ask upstream.

mock logfiles:
http://martinkg.fedorapeople.org/Review/logs/build-mock-fc20-nuvolaplayer-2.3.3.log =>ok

http://martinkg.fedorapeople.org/Review/logs/build-mock-fc20-nuvolaplayer-2.4.0.log =>fails

Comment 45 MartinKG 2014-06-07 07:35:54 UTC
testsuite fails in mockbuild with nuvolaplayer-2.4.0 on Fedora 20.
reported upstream.
https://bugs.launchpad.net/nuvola-player/+bug/1327500

Comment 46 Michel Alexandre Salim 2014-06-07 10:55:25 UTC
While waiting for upstream, perhaps you can figure out a way to separate the build process from the test process?

Tests are normally run in the %check section -- another benefit of separating %build and %check is that you can just comment out the test invocation if there's no way to make the tests pass (e.g. if upstream requires network connectivity to run the tests, and there's no easy way to change the test suite to run locally).

Comment 47 MartinKG 2014-06-07 12:56:29 UTC
(In reply to MartinKG from comment #44)
> there must be something changed when changing from version 2.3.3 to 2.4.0.
> I'll ask upstream.
> 
> mock logfiles:
> http://martinkg.fedorapeople.org/Review/logs/build-mock-fc20-nuvolaplayer-2.
> 3.3.log =>ok
> 
> http://martinkg.fedorapeople.org/Review/logs/build-mock-fc20-nuvolaplayer-2.
> 4.0.log =>fails

@Michel

the only difference to the older 2.3.3 version I've found was, that
the JSApiTest was reactivated in 2.4.0.

nuvolaplayer-2.3.3/tests/main/tests-main.vala
//~     root.add_suite(new Nuvola.JSApiTest().get_suite());

Maybe I can patch the 2.4.0 version, so that the JSApiTest is not performed ?

Comment 48 MartinKG 2014-06-07 15:49:03 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.0-2.fc20.src.rpm


Fix committed to lp:nuvola-player/2.4.x as r833. Will be released in Nuvola Player 2.4.1.
<http://bazaar.launchpad.net/~fenryxo/nuvola-player/2.4.x/revision/833>

%changelog
* Sat Jun 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.0-2
- added patch to disable testsuite that breaks mock build

Comment 49 MartinKG 2014-06-16 15:13:03 UTC
have someone time and can do the review ?

Comment 50 MartinKG 2014-07-08 18:26:22 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.1-1.fc20.src.rpm

%changelog
* Tue Jul 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1

Comment 51 MartinKG 2014-07-18 17:26:54 UTC
Spec URL: http://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec

SRPM URL: http://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.2-1.fc20.src.rpm

Fri Jul 18 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-1
- Update to 2.4.2

Comment 52 MartinKG 2014-08-21 20:21:01 UTC
@Christopher, feel free and take the review.

Comment 53 Christopher Meng 2014-08-27 10:14:53 UTC
Taken.

I need review swap, will post my bug once finished.

Comment 54 Christopher Meng 2014-08-29 00:50:49 UTC
1. %{_libexecdir}/nuvolaplayer/webkitgtkframe

->

%{_libexecdir}/nuvolaplayer/

2. Where is libsoup-devel?

Comment 55 MartinKG 2014-08-29 07:34:07 UTC
Spec URL: https://www.dropbox.com/s/ua1hj7yv1mll9j3/nuvolaplayer.spec?dl=0
SRPM URL: https://www.dropbox.com/s/86ge8s5u38nlgi8/nuvolaplayer-2.4.2-2.fc20.src.rpm?dl=0

%changelog
* Fri Aug 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-2
- added BR libsoup

Comment 56 Christopher Meng 2014-08-30 06:38:52 UTC
1. Drop unique, it's not needed since 2.0, not sure why you added(fault?)?

2. FTBFS:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.wKqPtm
+ umask 022
+ cd /builddir/build/BUILD
+ cd nuvolaplayer-2.4.2
+ export RSVG=/usr/bin/rsvg-convert
+ RSVG=/usr/bin/rsvg-convert
+ waf configure --prefix=/usr --libdir=/usr/lib --no-unity-quick-list --no-svg-optimization --with-gstreamer=1.0
Setting top to                           : /builddir/build/BUILD/nuvolaplayer-2.4.2 
Setting out to                           : /builddir/build/BUILD/nuvolaplayer-2.4.2/build 
Revision                                 : 844 
Install prefix                           : /usr 
Checking for 'gcc' (c compiler)          : /usr/lib/ccache/gcc 
Checking for program pkg-config          : /usr/bin/pkg-config 
Checking for 'gobject-2.0'               : yes 
Checking for 'gthread-2.0'               : yes 
Checking for program valac-0.8           : not found 
Checking for program valac               : /usr/bin/valac 
Checking for valac version >= (0, 8, 0)  : (0, 25, 2) 
Checking for program gtester             : /usr/bin/gtester 
Checking for program valac-0.14          : /usr/bin/valac 
Checking for valac-0.14 version >= (0, 14, 2) : (0, 25, 2) 
Checking for program msgfmt                   : /usr/bin/msgfmt 
Checking for program perl                     : /usr/bin/perl 
Checking for 'intltool-merge'                 : /usr/bin/intltool-merge 
Checking for header locale.h                  : yes 
Compiler optimizations                        : ON 
Checking for 'gee-1.0' >= 0.6                 : yes 
Checking for 'libnotify' >= 0.7               : yes 
Checking for 'x11' >= 0.5                     : yes 
Checking for 'gtk+-3.0' >= 3.4                : yes 
Checking for 'gdk-3.0' >= 3.4                 : yes 
Checking for 'gstreamer-1.0' >= 1.0           : yes 
Checking for 'libsoup-2.4' version            : yes 
Checking for 'libsoup-2.4' >= 2.38            : yes 
Checking for 'json-glib-1.0' >= 0.7           : yes 
Checking for 'unity' >= 3.0                   : not found 
Checking for 'dbusmenu-glib-0.4' >= 0.4       : yes 
Checking for 'webkitgtk-3.0' >= 1.8           : yes 
Checking for 'javascriptcoregtk-3.0' >= 1.8   : yes 
Checking for 'glib-2.0' >= 2.32               : yes 
Checking for 'gthread-2.0' >= 2.32            : yes 
Checking for 'gio-2.0' >= 2.32                : yes 
Checking for program rsvg-convert             : /usr/bin/rsvg-convert 
Checking for program scour                    : not found 
Configuration status                          : OK 
Features: 
Unity Quicklist                               : OFF 
optimization of SVG images                    : OFF 
Last.fm scrobbling                            : ON 
Notifications                                 : ON 
experimental features                         : OFF 
debug symbols                                 : OFF 
debug memory usage                            : OFF 
'configure' finished successfully (3.028s)
+ xvfb-run -a waf build --prefix=/usr --libdir=/usr/lib
Waf: Entering directory `/builddir/build/BUILD/nuvolaplayer-2.4.2/build'
[  1/143] data/icons/hicolor/16x16/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.16.svg -> build/data/icons/hicolor/16x16/apps/nuvolaplayer.png
[  2/143] data/icons/hicolor/22x22/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.22.svg -> build/data/icons/hicolor/22x22/apps/nuvolaplayer.png
[  3/143] data/icons/hicolor/24x24/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.22.svg -> build/data/icons/hicolor/24x24/apps/nuvolaplayer.png
[  4/143] data/icons/hicolor/32x32/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.22.svg -> build/data/icons/hicolor/32x32/apps/nuvolaplayer.png
[  5/143] data/icons/hicolor/48x48/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.orig.svg -> build/data/icons/hicolor/48x48/apps/nuvolaplayer.png
[  6/143] data/icons/hicolor/64x64/apps/nuvolaplayer.png: graphics/nuvola-icon/nuvola-player.orig.svg -> build/data/icons/hicolor/64x64/apps/nuvolaplayer.png
[  7/143] data/icons/hicolor/scalable/apps/nuvolaplayer.svg: graphics/nuvola-icon/nuvola-player.orig.svg -> build/data/icons/hicolor/scalable/apps/nuvolaplayer.svg
[  8/143] data/nuvolaplayer/services/amazon/icon.png: graphics/service-icons/amazon.svg -> build/data/nuvolaplayer/services/amazon/icon.png
[  9/143] data/nuvolaplayer/services/deezer/icon.png: graphics/service-icons/deezer.svg -> build/data/nuvolaplayer/services/deezer/icon.png
[ 10/143] data/nuvolaplayer/services/eighttracks/icon.png: graphics/service-icons/eighttracks.svg -> build/data/nuvolaplayer/services/eighttracks/icon.png
[ 11/143] data/nuvolaplayer/services/googleplay/icon.png: graphics/service-icons/googleplay.svg -> build/data/nuvolaplayer/services/googleplay/icon.png
[ 12/143] data/nuvolaplayer/services/grooveshark/icon.png: graphics/service-icons/grooveshark.svg -> build/data/nuvolaplayer/services/grooveshark/icon.png
[ 13/143] data/nuvolaplayer/services/hypem/icon.png: graphics/service-icons/hypem.svg -> build/data/nuvolaplayer/services/hypem/icon.png
[ 14/143] data/nuvolaplayer/services/pandora/icon.png: graphics/service-icons/pandora.svg -> build/data/nuvolaplayer/services/pandora/icon.png
[ 15/143] data/nuvolaplayer/services/rdio/icon.png: graphics/service-icons/rdio.svg -> build/data/nuvolaplayer/services/rdio/icon.png
[ 16/143] valac: src/diorite/configuration.vala src/diorite/connection.vala src/diorite/diorite-infobar.vala src/diorite/diorite-simpledocbuffer.vala src/diorite/diorite-simpledocview.vala src/diorite/diorite-wrappedlabel.vala src/diorite/f-actions.vala src/diorite/f-application.vala src/diorite/keybindings.vala src/diorite/logger.vala src/diorite/storage.vala src/diorite/system.vala src/diorite/test.vala src/diorite/tests.vala src/diorite/tools.vala src/diorite/uiparser.vala src/diorite/widgets.vala src/nuvola/core/config.vala src/nuvola/core/core.vala src/nuvola/core/extension.vala src/nuvola/core/extensionsmanager.vala src/nuvola/core/info.vala src/nuvola/core/jsapi.vala src/nuvola/core/jstools.vala src/nuvola/core/nuvola-formatsupport.vala src/nuvola/core/nuvola-framebridge.vala src/nuvola/core/nuvola-updatesservice.vala src/nuvola/core/objectcontainer.vala src/nuvola/core/player.vala src/nuvola/core/service.vala src/nuvola/core/servicesmanager.vala src/nuvola/core/serviceupdates.vala src/nuvola/core/settings.vala src/nuvola/core/webbackend.vala src/nuvola/extensions/debugging.vala src/nuvola/extensions/developerbar.vala src/nuvola/extensions/dock_manager.vala src/nuvola/extensions/lastfm.vala src/nuvola/extensions/lyrics.vala src/nuvola/extensions/media_keys.vala src/nuvola/extensions/mpris.vala src/nuvola/extensions/notifications.vala src/nuvola/extensions/sample.vala src/nuvola/extensions/trayicon.vala src/nuvola/extensions/unity_quick_list.vala src/nuvola/gui/aboutdialog.vala src/nuvola/gui/downloadsdialog.vala src/nuvola/gui/extensionsmanagerview.vala src/nuvola/gui/inspectorwindow.vala src/nuvola/gui/mainwebview.vala src/nuvola/gui/mainwindow.vala src/nuvola/gui/nuvola-formatsupportdialog.vala src/nuvola/gui/nuvola-welcomeoverlay.vala src/nuvola/gui/popupwebview.vala src/nuvola/gui/preferences.vala src/nuvola/gui/serviceselectordialog.vala src/nuvola/gui/servicesmanagerview.vala src/nuvola/gui/serviceupdatesdialog.vala src/nuvola/gui/staticwebview.vala src/nuvola/gui/webview.vala -> build/nuvolaplayerprivate.h build/nuvolaplayerprivate.vapi build/nuvolaplayerprivate.deps build/src/diorite/configuration.c build/src/diorite/connection.c build/src/diorite/diorite-infobar.c build/src/diorite/diorite-simpledocbuffer.c build/src/diorite/diorite-simpledocview.c build/src/diorite/diorite-wrappedlabel.c build/src/diorite/f-actions.c build/src/diorite/f-application.c build/src/diorite/keybindings.c build/src/diorite/logger.c build/src/diorite/storage.c build/src/diorite/system.c build/src/diorite/test.c build/src/diorite/tests.c build/src/diorite/tools.c build/src/diorite/uiparser.c build/src/diorite/widgets.c build/src/nuvola/core/config.c build/src/nuvola/core/core.c build/src/nuvola/core/extension.c build/src/nuvola/core/extensionsmanager.c build/src/nuvola/core/info.c build/src/nuvola/core/jsapi.c build/src/nuvola/core/jstools.c build/src/nuvola/core/nuvola-formatsupport.c build/src/nuvola/core/nuvola-framebridge.c build/src/nuvola/core/nuvola-updatesservice.c build/src/nuvola/core/objectcontainer.c build/src/nuvola/core/player.c build/src/nuvola/core/service.c build/src/nuvola/core/servicesmanager.c build/src/nuvola/core/serviceupdates.c build/src/nuvola/core/settings.c build/src/nuvola/core/webbackend.c build/src/nuvola/extensions/debugging.c build/src/nuvola/extensions/developerbar.c build/src/nuvola/extensions/dock_manager.c build/src/nuvola/extensions/lastfm.c build/src/nuvola/extensions/lyrics.c build/src/nuvola/extensions/media_keys.c build/src/nuvola/extensions/mpris.c build/src/nuvola/extensions/notifications.c build/src/nuvola/extensions/sample.c build/src/nuvola/extensions/trayicon.c build/src/nuvola/extensions/unity_quick_list.c build/src/nuvola/gui/aboutdialog.c build/src/nuvola/gui/downloadsdialog.c build/src/nuvola/gui/extensionsmanagerview.c build/src/nuvola/gui/inspectorwindow.c build/src/nuvola/gui/mainwebview.c build/src/nuvola/gui/mainwindow.c build/src/nuvola/gui/nuvola-formatsupportdialog.c build/src/nuvola/gui/nuvola-welcomeoverlay.c build/src/nuvola/gui/popupwebview.c build/src/nuvola/gui/preferences.c build/src/nuvola/gui/serviceselectordialog.c build/src/nuvola/gui/servicesmanagerview.c build/src/nuvola/gui/serviceupdatesdialog.c build/src/nuvola/gui/staticwebview.c build/src/nuvola/gui/webview.c
[ 17/143] valac: src/nuvolaplayer-client.vala -> build/src/nuvolaplayer-client.c
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/glib-2.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gobject-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gio-2.0.vapi'
[ 18/143] valac: src/webkitframe/webkitframe.vala -> build/src/webkitframe/webkitframe.c
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/glib-2.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gobject-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gtk+-3.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gio-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/atk.vapi'
Loaded package `/usr/share/vala-0.26/vapi/cairo.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gdk-pixbuf-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gdk-3.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/pango.vapi'
Loaded package `/usr/share/vala-0.26/vapi/pangocairo.vapi'
Loaded package `/usr/share/vala-0.26/vapi/x11.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/webkitgtk-3.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/libsoup-2.4.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/glib-2.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gobject-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gio-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/libsoup-2.4.vapi'
Loaded package `/usr/share/vala/vapi/gee-1.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gtk+-3.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/atk.vapi'
Loaded package `/usr/share/vala-0.26/vapi/cairo.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gdk-pixbuf-2.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gdk-3.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/pango.vapi'
Loaded package `/usr/share/vala-0.26/vapi/pangocairo.vapi'
Loaded package `/usr/share/vala-0.26/vapi/x11.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/webkitgtk-3.0.vapi'
Loaded package `/usr/share/vala-0.26/vapi/gdk-x11-3.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/vapi/javascriptcore.vapi'
Loaded package `/usr/share/vala-0.26/vapi/posix.vapi'
Loaded package `/usr/share/vala-0.26/vapi/json-glib-1.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/gstreamer-1.0.vapi'
Loaded package `/builddir/build/BUILD/nuvolaplayer-2.4.2/external/vala-0.22/libnotify.vapi'
Compilation failed: 1 error(s), 65 warning(s)
gstreamer-1.0.vapi:695.75-695.77: warning: Gst is experimental
gstreamer-1.0.vapi:1306.76-1306.78: warning: Gst is experimental
gstreamer-1.0.vapi:892.110-892.112: warning: Gst is experimental
gstreamer-1.0.vapi:3002.159-3002.161: warning: Gst is experimental
gstreamer-1.0.vapi:3004.128-3004.130: warning: Gst is experimental
gstreamer-1.0.vapi:3006.176-3006.178: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/connection.vala:116.4-116.17: warning: parameter without default follows parameter with default
                        ProxyType type, string? server = null, string? port = null)
                        ^^^^^^^^^^^^^^
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/diorite-infobar.vala:62.45-62.53: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/diorite-infobar.vala:81.8-81.16: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/diorite-infobar.vala:92.8-92.16: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/diorite-infobar.vala:103.8-103.16: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/diorite-simpledocbuffer.vala:625.35-625.43: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/f-actions.vala:51.18-51.32: warning: Gtk.ActionGroup has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/keybindings.vala:119.38-119.51: warning: Gdk.X11Display has been deprecated since vala-0.24. Use Gdk.X11.Display
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/keybindings.vala:120.21-120.33: warning: Gdk.X11Window has been deprecated since vala-0.24. Use Gdk.X11.Window
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/keybindings.vala:181.38-181.51: warning: Gdk.X11Display has been deprecated since vala-0.24. Use Gdk.X11.Display
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/diorite/keybindings.vala:182.21-182.33: warning: Gdk.X11Window has been deprecated since vala-0.24. Use Gdk.X11.Window
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:96.9-96.11: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:97.59-97.61: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:101.37-101.39: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:68.18-68.20: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:117.26-117.28: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:118.19-118.21: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:120.51-120.53: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:126.56-126.58: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:153.30-153.32: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:155.8-155.10: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:156.23-156.25: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:158.8-158.10: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:159.54-159.56: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:160.23-160.25: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:161.24-161.26: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:164.59-164.61: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:167.23-167.25: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala:168.58-168.60: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:158.38-158.46: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:160.37-160.45: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:162.38-162.46: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:164.41-164.49: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:165.41-165.49: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:166.38-166.46: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala:167.39-167.47: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/webbackend.vala:94.3-94.5: warning: Gst is experimental
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/extensions/lastfm.vala:780.10-780.84: error: Too few arguments for specified format
                        throw new Error.WRONG_RESPONSE("%s: Response doesn't contain nowplaying member.");
                              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/extensions/lastfm.vala:582.3-582.16: warning: implicit .begin is deprecated
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/extensions/lyrics.vala:488.45-488.53: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/extensions/lyrics.vala:514.50-514.58: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/extensions/lyrics.vala:522.47-522.55: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/core/serviceupdates.vala:149.30-149.49: warning: Soup.KnownStatusCode has been deprecated since vala-0.22. Use Status
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/serviceupdatesdialog.vala:64.42-64.50: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/serviceupdatesdialog.vala:67.14-67.22: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/downloadsdialog.vala:67.44-67.52: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/downloadsdialog.vala:71.48-71.56: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/extensionsmanagerview.vala:110.47-110.55: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/extensionsmanagerview.vala:192.4-192.12: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala:57.57-57.65: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala:57.73-57.81: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala:78.51-78.59: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala:78.67-78.75: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala:99.48-99.56: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/preferences.vala:373.15-373.23: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/preferences.vala:373.56-373.64: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/servicesmanagerview.vala:100.46-100.54: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/servicesmanagerview.vala:351.62-351.70: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/servicesmanagerview.vala:352.29-352.37: warning: Gtk.Stock has been deprecated since 3.10
/builddir/build/BUILD/nuvolaplayer-2.4.2/src/nuvola/gui/servicesmanagerview.vala:105.45-105.53: warning: Gtk.Stock has been deprecated since 3.10
Waf: Leaving directory `/builddir/build/BUILD/nuvolaplayer-2.4.2/build'
Build failed
 -> task in 'nuvolaplayerprivate' failed (exit status 1): 
        {task 3064154988L: valac configuration.vala,connection.vala,diorite-infobar.vala,diorite-simpledocbuffer.vala,diorite-simpledocview.vala,diorite-wrappedlabel.vala,f-actions.vala,f-application.vala,keybindings.vala,logger.vala,storage.vala,system.vala,test.vala,tests.vala,tools.vala,uiparser.vala,widgets.vala,config.vala,core.vala,extension.vala,extensionsmanager.vala,info.vala,jsapi.vala,jstools.vala,nuvola-formatsupport.vala,nuvola-framebridge.vala,nuvola-updatesservice.vala,objectcontainer.vala,player.vala,service.vala,servicesmanager.vala,serviceupdates.vala,settings.vala,webbackend.vala,debugging.vala,developerbar.vala,dock_manager.vala,lastfm.vala,lyrics.vala,media_keys.vala,mpris.vala,notifications.vala,sample.vala,trayicon.vala,unity_quick_list.vala,aboutdialog.vala,downloadsdialog.vala,extensionsmanagerview.vala,inspectorwindow.vala,mainwebview.vala,mainwindow.vala,nuvola-formatsupportdialog.vala,nuvola-welcomeoverlay.vala,popupwebview.vala,preferences.vala,serviceselectordialog.vala,servicesmanagerview.vala,serviceupdatesdialog.vala,staticwebview.vala,webview.vala -> nuvolaplayerprivate.h,nuvolaplayerprivate.vapi,nuvolaplayerprivate.deps,configuration.c,connection.c,diorite-infobar.c,diorite-simpledocbuffer.c,diorite-simpledocview.c,diorite-wrappedlabel.c,f-actions.c,f-application.c,keybindings.c,logger.c,storage.c,system.c,test.c,tests.c,tools.c,uiparser.c,widgets.c,config.c,core.c,extension.c,extensionsmanager.c,info.c,jsapi.c,jstools.c,nuvola-formatsupport.c,nuvola-framebridge.c,nuvola-updatesservice.c,objectcontainer.c,player.c,service.c,servicesmanager.c,serviceupdates.c,settings.c,webbackend.c,debugging.c,developerbar.c,dock_manager.c,lastfm.c,lyrics.c,media_keys.c,mpris.c,notifications.c,sample.c,trayicon.c,unity_quick_list.c,aboutdialog.c,downloadsdialog.c,extensionsmanagerview.c,inspectorwindow.c,mainwebview.c,mainwindow.c,nuvola-formatsupportdialog.c,nuvola-welcomeoverlay.c,popupwebview.c,preferences.c,serviceselectordialog.c,servicesmanagerview.c,serviceupdatesdialog.c,staticwebview.c,webview.c}
''

Comment 57 MartinKG 2014-08-30 09:37:26 UTC
bug reported upstream
https://bugs.launchpad.net/nuvola-player/+bug/1363381

Comment 58 MartinKG 2014-08-30 11:07:09 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.2-3.fc20.src.rpm

%changelog
* Sat Aug 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-3
- dropped BR unique
- Fixed build error on fc21 with --no-lastfm flag

Comment 59 Christopher Meng 2014-09-02 23:20:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

Generic:
[x ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ !]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "LGPL (v2.1 or later)", "LGPL (v3 or later)", "Unknown
     or generated". 101 files have unknown license. Detailed output of
     licensecheck:

BSD (2 clause)
--------------
nuvolaplayer-2.4.2/src/diorite/configuration.vala
nuvolaplayer-2.4.2/src/diorite/connection.vala
nuvolaplayer-2.4.2/src/diorite/diorite-infobar.vala
nuvolaplayer-2.4.2/src/diorite/diorite-simpledocbuffer.vala
nuvolaplayer-2.4.2/src/diorite/diorite-simpledocview.vala
nuvolaplayer-2.4.2/src/diorite/diorite-wrappedlabel.vala
nuvolaplayer-2.4.2/src/diorite/f-actions.vala
nuvolaplayer-2.4.2/src/diorite/f-application.vala
nuvolaplayer-2.4.2/src/diorite/keybindings.vala
nuvolaplayer-2.4.2/src/diorite/logger.vala
nuvolaplayer-2.4.2/src/diorite/storage.vala
nuvolaplayer-2.4.2/src/diorite/system.vala
nuvolaplayer-2.4.2/src/diorite/tests.vala
nuvolaplayer-2.4.2/src/diorite/tools.vala
nuvolaplayer-2.4.2/src/diorite/uiparser.vala
nuvolaplayer-2.4.2/src/diorite/widgets.vala
nuvolaplayer-2.4.2/src/nuvola/core/core.vala
nuvolaplayer-2.4.2/src/nuvola/core/extension.vala
nuvolaplayer-2.4.2/src/nuvola/core/extensionsmanager.vala
nuvolaplayer-2.4.2/src/nuvola/core/info.vala
nuvolaplayer-2.4.2/src/nuvola/core/jsapi.vala
nuvolaplayer-2.4.2/src/nuvola/core/jstools.vala
nuvolaplayer-2.4.2/src/nuvola/core/nuvola-formatsupport.vala
nuvolaplayer-2.4.2/src/nuvola/core/nuvola-framebridge.vala
nuvolaplayer-2.4.2/src/nuvola/core/nuvola-updatesservice.vala
nuvolaplayer-2.4.2/src/nuvola/core/objectcontainer.vala
nuvolaplayer-2.4.2/src/nuvola/core/player.vala
nuvolaplayer-2.4.2/src/nuvola/core/service.vala
nuvolaplayer-2.4.2/src/nuvola/core/servicesmanager.vala
nuvolaplayer-2.4.2/src/nuvola/core/serviceupdates.vala
nuvolaplayer-2.4.2/src/nuvola/core/settings.vala
nuvolaplayer-2.4.2/src/nuvola/core/webbackend.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/developerbar.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/dock_manager.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/lastfm.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/lyrics.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/media_keys.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/mpris.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/notifications.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/sample.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/trayicon.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/unity_quick_list.vala
nuvolaplayer-2.4.2/src/nuvola/gui/aboutdialog.vala
nuvolaplayer-2.4.2/src/nuvola/gui/downloadsdialog.vala
nuvolaplayer-2.4.2/src/nuvola/gui/extensionsmanagerview.vala
nuvolaplayer-2.4.2/src/nuvola/gui/inspectorwindow.vala
nuvolaplayer-2.4.2/src/nuvola/gui/mainwebview.vala
nuvolaplayer-2.4.2/src/nuvola/gui/mainwindow.vala
nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-formatsupportdialog.vala
nuvolaplayer-2.4.2/src/nuvola/gui/nuvola-welcomeoverlay.vala
nuvolaplayer-2.4.2/src/nuvola/gui/popupwebview.vala
nuvolaplayer-2.4.2/src/nuvola/gui/preferences.vala
nuvolaplayer-2.4.2/src/nuvola/gui/serviceselectordialog.vala
nuvolaplayer-2.4.2/src/nuvola/gui/servicesmanagerview.vala
nuvolaplayer-2.4.2/src/nuvola/gui/serviceupdatesdialog.vala
nuvolaplayer-2.4.2/src/nuvola/gui/staticwebview.vala
nuvolaplayer-2.4.2/src/nuvola/gui/webview.vala
nuvolaplayer-2.4.2/src/nuvolaplayer-client.vala
nuvolaplayer-2.4.2/src/nuvolaplayer.vala
nuvolaplayer-2.4.2/src/webkitframe/webkitframe.vala
nuvolaplayer-2.4.2/tests/interactive/diorite-simpledocviewtest.vala
nuvolaplayer-2.4.2/tests/interactive/nuvola-notificationstest.vala
nuvolaplayer-2.4.2/tests/main/diorite-simpledocbuffertest.vala
nuvolaplayer-2.4.2/tests/main/nuvola-lyricstest.vala
nuvolaplayer-2.4.2/tools/create-copyright-file.py
nuvolaplayer-2.4.2/tools/make_service_package.sh
nuvolaplayer-2.4.2/tools/slow_download_server.py
nuvolaplayer-2.4.2/waf_nuvolaextras.py

LGPL (v2.1 or later)
--------------------
nuvolaplayer-2.4.2/external/fsotest/assert.vala
nuvolaplayer-2.4.2/external/fsotest/signalwaiter.vala
nuvolaplayer-2.4.2/external/fsotest/testcase.vala

LGPL (v3 or later)
------------------
nuvolaplayer-2.4.2/external/fsotest/asynchelpers.vala

Unknown or generated
--------------------
nuvolaplayer-2.4.2/glibtest.py
nuvolaplayer-2.4.2/setup_env.sh
nuvolaplayer-2.4.2/src/diorite/keybindings.h
nuvolaplayer-2.4.2/src/nuvola/core/config.vala
nuvolaplayer-2.4.2/src/nuvola/extensions/debugging.vala
nuvolaplayer-2.4.2/tests/common/common.vala
nuvolaplayer-2.4.2/tests/interactive/tests-interactive.vala
nuvolaplayer-2.4.2/tests/main/nuvola-jsapitest.vala
nuvolaplayer-2.4.2/tests/main/nuvola-servicesmanagertest.vala
nuvolaplayer-2.4.2/tests/main/tests-main.vala
nuvolaplayer-2.4.2/tests/mock/mockaplication.vala
nuvolaplayer-2.4.2/tests/mock/mockplayer.vala
nuvolaplayer-2.4.2/tests/uidemo/gui-formatsupportdialogdemo.vala
nuvolaplayer-2.4.2/tests/uidemo/gui-infobardemo.vala
nuvolaplayer-2.4.2/tests/uidemo/gui-main.vala
nuvolaplayer-2.4.2/tests/uidemo/gui-mainwindow-test.vala
nuvolaplayer-2.4.2/tests/uidemo/gui-wrappedlabeldemo.vala
nuvolaplayer-2.4.2/tools/copyrightdata.py
nuvolaplayer-2.4.2/tools/flag-test.sh
nuvolaplayer-2.4.2/tools/gettext_extract.sh
nuvolaplayer-2.4.2/tools/import_translations.sh
nuvolaplayer-2.4.2/tools/memtest.sh
nuvolaplayer-2.4.2/tools/nuvoladoc.sh
nuvolaplayer-2.4.2/tools/package_db.py
nuvolaplayer-2.4.2/tools/service-package/install_service.sh
nuvolaplayer-2.4.2/tools/todo_list.sh
nuvolaplayer-2.4.2/waflib/Build.py
nuvolaplayer-2.4.2/waflib/ConfigSet.py
nuvolaplayer-2.4.2/waflib/Configure.py
nuvolaplayer-2.4.2/waflib/Context.py
nuvolaplayer-2.4.2/waflib/Errors.py
nuvolaplayer-2.4.2/waflib/Logs.py
nuvolaplayer-2.4.2/waflib/Node.py
nuvolaplayer-2.4.2/waflib/Options.py
nuvolaplayer-2.4.2/waflib/Runner.py
nuvolaplayer-2.4.2/waflib/Scripting.py
nuvolaplayer-2.4.2/waflib/Task.py
nuvolaplayer-2.4.2/waflib/TaskGen.py
nuvolaplayer-2.4.2/waflib/Tools/__init__.py
nuvolaplayer-2.4.2/waflib/Tools/ar.py
nuvolaplayer-2.4.2/waflib/Tools/asm.py
nuvolaplayer-2.4.2/waflib/Tools/bison.py
nuvolaplayer-2.4.2/waflib/Tools/c.py
nuvolaplayer-2.4.2/waflib/Tools/c_aliases.py
nuvolaplayer-2.4.2/waflib/Tools/c_config.py
nuvolaplayer-2.4.2/waflib/Tools/c_osx.py
nuvolaplayer-2.4.2/waflib/Tools/c_preproc.py
nuvolaplayer-2.4.2/waflib/Tools/c_tests.py
nuvolaplayer-2.4.2/waflib/Tools/ccroot.py
nuvolaplayer-2.4.2/waflib/Tools/compiler_c.py
nuvolaplayer-2.4.2/waflib/Tools/compiler_cxx.py
nuvolaplayer-2.4.2/waflib/Tools/compiler_d.py
nuvolaplayer-2.4.2/waflib/Tools/compiler_fc.py
nuvolaplayer-2.4.2/waflib/Tools/cs.py
nuvolaplayer-2.4.2/waflib/Tools/cxx.py
nuvolaplayer-2.4.2/waflib/Tools/d.py
nuvolaplayer-2.4.2/waflib/Tools/d_config.py
nuvolaplayer-2.4.2/waflib/Tools/d_scan.py
nuvolaplayer-2.4.2/waflib/Tools/dbus.py
nuvolaplayer-2.4.2/waflib/Tools/dmd.py
nuvolaplayer-2.4.2/waflib/Tools/errcheck.py
nuvolaplayer-2.4.2/waflib/Tools/fc.py
nuvolaplayer-2.4.2/waflib/Tools/fc_config.py
nuvolaplayer-2.4.2/waflib/Tools/fc_scan.py
nuvolaplayer-2.4.2/waflib/Tools/flex.py
nuvolaplayer-2.4.2/waflib/Tools/g95.py
nuvolaplayer-2.4.2/waflib/Tools/gas.py
nuvolaplayer-2.4.2/waflib/Tools/gcc.py
nuvolaplayer-2.4.2/waflib/Tools/gdc.py
nuvolaplayer-2.4.2/waflib/Tools/gfortran.py
nuvolaplayer-2.4.2/waflib/Tools/glib2.py
nuvolaplayer-2.4.2/waflib/Tools/gnu_dirs.py
nuvolaplayer-2.4.2/waflib/Tools/gxx.py
nuvolaplayer-2.4.2/waflib/Tools/icc.py
nuvolaplayer-2.4.2/waflib/Tools/icpc.py
nuvolaplayer-2.4.2/waflib/Tools/ifort.py
nuvolaplayer-2.4.2/waflib/Tools/intltool.py
nuvolaplayer-2.4.2/waflib/Tools/irixcc.py
nuvolaplayer-2.4.2/waflib/Tools/javaw.py
nuvolaplayer-2.4.2/waflib/Tools/kde4.py
nuvolaplayer-2.4.2/waflib/Tools/ldc2.py
nuvolaplayer-2.4.2/waflib/Tools/lua.py
nuvolaplayer-2.4.2/waflib/Tools/msvc.py
nuvolaplayer-2.4.2/waflib/Tools/nasm.py
nuvolaplayer-2.4.2/waflib/Tools/perl.py
nuvolaplayer-2.4.2/waflib/Tools/python.py
nuvolaplayer-2.4.2/waflib/Tools/qt4.py
nuvolaplayer-2.4.2/waflib/Tools/ruby.py
nuvolaplayer-2.4.2/waflib/Tools/suncc.py
nuvolaplayer-2.4.2/waflib/Tools/suncxx.py
nuvolaplayer-2.4.2/waflib/Tools/tex.py
nuvolaplayer-2.4.2/waflib/Tools/vala.py
nuvolaplayer-2.4.2/waflib/Tools/waf_unit_test.py
nuvolaplayer-2.4.2/waflib/Tools/winres.py
nuvolaplayer-2.4.2/waflib/Tools/xlc.py
nuvolaplayer-2.4.2/waflib/Tools/xlcxx.py
nuvolaplayer-2.4.2/waflib/Utils.py
nuvolaplayer-2.4.2/waflib/__init__.py
nuvolaplayer-2.4.2/waflib/ansiterm.py
nuvolaplayer-2.4.2/waflib/extras/__init__.py
nuvolaplayer-2.4.2/waflib/fixpy2.py

[x ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ !]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/nuvolaplayer
[ !]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/nuvolaplayer
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nuvolaplayer
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nuvolaplayer-2.4.2-3.fc22.x86_64.rpm
          nuvolaplayer-2.4.2-3.fc22.src.rpm
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
nuvolaplayer.x86_64: W: desktopfile-without-binary /usr/share/applications/nuvolaplayer.desktop nuvolaplayer
nuvolaplayer.src: W: spelling-error %description -l en_US Nuvola -> Nolan
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nuvolaplayer
nuvolaplayer.x86_64: W: spelling-error %description -l en_US Nuvola -> Nolan
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer
nuvolaplayer.x86_64: W: no-manual-page-for-binary nuvolaplayer-client
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nuvolaplayer (rpmlib, GLIBC filtered):
    /bin/sh
    control-center-filesystem
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjavascriptcoregtk-3.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libnuvolaplayerprivate.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libwebkitgtk-3.0.so.0()(64bit)
    rtld(GNU_HASH)
    tsocks



Provides
--------
nuvolaplayer:
    application()
    application(nuvolaplayer.desktop)
    libnuvolaplayerprivate.so()(64bit)
    nuvolaplayer
    nuvolaplayer(x86-64)



Unversioned so-files
--------------------
nuvolaplayer: /usr/lib64/libnuvolaplayerprivate.so
nuvolaplayer: /usr/lib64/nuvolaplayer/libnuvolaplayerprivate.so

Source checksums
----------------
https://launchpad.net/nuvola-player/2.4.x/2.4.2/+download/nuvolaplayer-2.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : f0bba6869ee86a6387fd7b556c2b7816f7e2a15d5524a1daab68095f4a709db3
  CHECKSUM(SHA256) upstream package : f0bba6869ee86a6387fd7b556c2b7816f7e2a15d5524a1daab68095f4a709db3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn nuvolaplayer-2.4.2-3.fc20.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
-------------------------
1. Filter out libnuvolaplayerprivate.so.

2. Include license texts as well, notably those you've written in License tag.

3. Why does this package invoke ldconfig?

4. Other trifles are in review texts above.

5. Consider asking upstream to make an option for test instead of bundling in the build.

Comment 60 MartinKG 2014-09-03 08:12:01 UTC
(In reply to Christopher Meng from comment #59)

> -------------------------
> 1. Filter out libnuvolaplayerprivate.so.

(Michael Schwendt from comment #39)
The libnuvolaplayerprivate.so is a private runtime library required
by the nuvolaplayer binary.

error message when exluding .so file:
$ nuvolaplayer
/usr/lib64/nuvolaplayer/nuvolaplayer: error while loading shared libraries: libnuvolaplayerprivate.so: cannot open shared object file: No such file or directory


> 
> 2. Include license texts as well, notably those you've written in License
> tag.

done

> 3. Why does this package invoke ldconfig?

removed

> 
> 4. Other trifles are in review texts above.
> 
> 5. Consider asking upstream to make an option for test instead of bundling
> in the build.
can i do


Spec URL: https://www.dropbox.com/s/6nj8ol466f5gxe3/nuvolaplayer-2.4.2-4.fc20.src.rpm?dl=0
SRPM URL: https://www.dropbox.com/s/ua1hj7yv1mll9j3/nuvolaplayer.spec?dl=0


%changelog
* Wed Sep 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-4
- added license files described in license tag
- removed ldconfig

Comment 61 Michael Schwendt 2014-09-03 09:05:16 UTC
> 3. Why does this package invoke ldconfig?

"man ldconfig" explains what the command does.

$ yum localinstall nuvolaplayer-2.4.2-4.fc21.x86_64.rpm
[...]
$ ldconfig -p|grep nuv
$ sudo ldconfig
# ldconfig
# ldconfig -p|grep nuv
	libnuvolaplayerprivate.so (libc6,x86-64) => /lib64/libnuvolaplayerprivate.so

Comment 62 MartinKG 2014-09-03 11:13:38 UTC
(In reply to Michael Schwendt from comment #61)
> > 3. Why does this package invoke ldconfig?
> 
> "man ldconfig" explains what the command does.
> 
> $ yum localinstall nuvolaplayer-2.4.2-4.fc21.x86_64.rpm
> [...]
> $ ldconfig -p|grep nuv
> $ sudo ldconfig
> # ldconfig
> # ldconfig -p|grep nuv
> 	libnuvolaplayerprivate.so (libc6,x86-64) => /lib64/libnuvolaplayerprivate.so

that means i need the command ldconfig ?

Comment 63 MartinKG 2014-09-04 12:47:06 UTC
i will add /sbin/ldconfig to the spec file again, because of:
https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

Spec URL: https://www.dropbox.com/s/ua1hj7yv1mll9j3/nuvolaplayer.spec?dl=0
SRPM URL: https://www.dropbox.com/s/djuoqlijowh91bd/nuvolaplayer-2.4.2-5.fc20.src.rpm?dl=0

%changelog
* Thu Sep 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-5
- added ldconfig back again due of Packaging:Guidelines#Shared_Libraries

Comment 64 MartinKG 2014-09-07 18:27:56 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvolaplayer.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvolaplayer-2.4.3-1.fc20.src.rpm

%changelog
* Sun Sep 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.3-1
- Update to 2.4.1
- reenabled lastfm build, because it's fixed in new release

Comment 65 Christopher Meng 2014-10-10 07:54:40 UTC
PACKAGE APPROVED.

Comment 66 MartinKG 2014-10-10 08:34:43 UTC
@Christopher
many thanks for the review.

New Package SCM Request
=======================
Package Name: nuvolaplayer
Short Description: Cloud Music Integration for your Linux Desktop
Owners: martinkg
Branches: f20 f21 devel
InitialCC:

Comment 67 Kevin Fenzi 2014-10-13 23:09:41 UTC
Git done (by process-git-requests).

Comment 68 MartinKG 2014-10-14 19:16:57 UTC
nuvolaplayer has been built successfully on f20, f21 and rawhide.

Comment 69 Fedora Update System 2014-10-15 10:58:35 UTC
nuvolaplayer-2.4.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-2.fc20

Comment 70 Fedora Update System 2014-10-15 10:59:14 UTC
nuvolaplayer-2.4.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-2.fc21

Comment 71 Fedora Update System 2014-10-15 11:02:35 UTC
nuvolaplayer-2.4.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-2.fc20

Comment 72 Fedora Update System 2014-10-15 11:03:30 UTC
nuvolaplayer-2.4.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-2.fc21

Comment 73 Fedora Update System 2014-10-15 19:21:13 UTC
nuvolaplayer-2.4.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-3.fc21

Comment 74 Fedora Update System 2014-10-15 19:39:47 UTC
nuvolaplayer-2.4.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nuvolaplayer-2.4.3-3.fc20

Comment 75 Fedora Update System 2014-10-28 06:39:02 UTC
nuvolaplayer-2.4.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 76 Fedora Update System 2014-11-01 17:14:03 UTC
nuvolaplayer-2.4.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.